var CourseNamesFormView = Backbone.View.extend({
    initialize: function (options) {
        this.options = options;
        this.template = _.template(options.template);
        this.model = options.model;
        this.courseNames = options.courseNames;
    },

    render: function () {
        var that = this;
        this.$el.detach();
        this.$el.html(this.template({
            courseNames: this.model.toJSON(),
        }));
        $(document).ready(function() {
            M.textareaAutoResize($('#courseName'));
            $('.tooltipped').tooltip();
        });
        return this;
    }
});